//-----------------------------------------------------------
//
//	Softbolts Ltd. (c) all rights reserved
//
//	Warning: This  program is  protected by copyright law 
//		 and   international  treaties.  Unauthorised
//		 reproduction or distribution of this program,
//		 or  any portion  or it, may result in severe
//		 civil  and  criminal  penalties, and will be
//		 prosecuted to  the  maximum extent possible.
//
//              Author: A. E. Dawson, Aug 1999
//              mailto: anthony@softbolts.com
//
//		Last Revised: 14 Oct 2002
//
//-----------------------------------------------------------

package com.softbolts.connectors.TBDB;

import com.softbolts.lib.*;
import java.io.*;
import java.net.*;
import java.util.*;

//-----------------------------------------------------------
public class TTable extends Hashtable implements Serializable 
{
	// TO DO make safe by checking if the key requested does actually exist

        public TColumn put(String k, TColumn v) { return((TColumn) super.put(k, v)); }
        //public TColumn get(String k) { return((TColumn) super.get(k)); }
        public TColumn remove(String k) { return((TColumn) super.remove(k)); }
        public boolean containsKey(String k) { return super.containsKey(k); }
        public TColumn get(String k) throws ThrowableString
	{
		if (containsKey(k) == false)
			throw new ThrowableString("TTable:get() - key: " + k + " not found in set");

		return((TColumn) super.get(k));
	}
}


