
//-----------------------------------------------------------
//
//	Softbolts Ltd. (c) all rights reserved
//
//	Warning: This  program is  protected by copyright law 
//		 and   international  treaties.  Unauthorised
//		 reproduction or distribution of this program,
//		 or  any portion  or it, may result in severe
//		 civil  and  criminal  penalties, and will be
//		 prosecuted to  the  maximum extent possible.
//
//              Author: A. E. Dawson, Aug 1999
//              mailto: anthony@softbolts.com
//
//		Last Revised: 3 July 2002
//
//-----------------------------------------------------------

package com.softbolts.connectors.TBGenericDB;

import com.softbolts.lib.*;

import java.io.*;
import java.util.*;
import java.lang.*;


public class BillingDB extends ServletObj implements Serializable
{
 String Key1 = "000001";				// A more ralistic case this info
 String Name = "Anthony";				// would be held in a database
 String Surname = "Dawson";
 String Address1 = "Via Riccione 6";
 String Address2 = "Fregene";
 String Address3 = "Rome";
 String Status = "Young free and single";

	//-----------------------------------------------------------
	public int run(NameValueTyp params)
	{
	 String method = null;

		if((method = (String) params.get("sysMethod")) == null) return -1;
		if (method.equals("Get")) return Get(params);
		if (method.equals("Set")) return Set(params);
		return 0;
	}

	//-----------------------------------------------------------
	public int Set(NameValueTyp params)
	{
                Key1 = (String) params.get("Key1");
                Name = (String) params.get("Name");
                Surname = (String) params.get("Surname");
                Address1 = (String) params.get("Address1");
                Address2 = (String) params.get("Address2");
                Address3 = (String) params.get("Address3");
                Status = (String) params.get("Status");
		return 0;
	}

	//-----------------------------------------------------------
	public int Get(NameValueTyp params)
	{
                params.put("Key1", Key1);
                params.put("Name", Name);
                params.put("Surname", Surname);
                params.put("Address1", Address1);
                params.put("Address2", Address2);
                params.put("Address3", Address3);
                params.put("Status", Status);
		return 0;
	}
}


