
//-----------------------------------------------------------
//
//	Softbolts Ltd. (c) all rights reserved
//
//	Warning: This  program is  protected by copyright law 
//		 and   international  treaties.  Unauthorised
//		 reproduction or distribution of this program,
//		 or  any portion  or it, may result in severe
//		 civil  and  criminal  penalties, and will be
//		 prosecuted to  the  maximum extent possible.
//
//              Author: A. E. Dawson, March 2003
//              mailto: anthony@softbolts.com
//
//		Last Revised: 4th March 2003
//
//-----------------------------------------------------------

package com.softbolts.connectors.TBHTTPSample;

import com.softbolts.lib.*;

import java.io.*;
import java.util.*;
import java.lang.*;
import java.lang.reflect.*;


public class HTTPServlet extends Thread 
{
 SocketObj sok = null;
 int port = 0;
 String modelName = "";
 PollerState keepRunning = null;
 Vector msg = null;
 byte   CRLF[]      = { ((byte) 13), ((byte) 10) } ;

        //-----------------------------------------------------------
        public HTTPServlet(int port, String modelName, PollerState keepRunning) throws ThrowableString
        {
		this.port = port;
		this.keepRunning = keepRunning;
		this.modelName = modelName;
		keepRunning.set();
		System.err.println("Creating HTTP servlet on port " + port);
                try {
                        sok = new SocketObj(port);
			sok.setPtotocol(ProtocolTyp.http);
                } catch (ThrowableString s) {
                        throw new ThrowableString(s.getMessage());
                }
		msg = new Vector(10);
        }

        //-----------------------------------------------------------
        public void run()
        {
		System.err.println("Running HTTP servlet");
		while(keepRunning.test() == true)
		{
			msg.clear();

                        try {
				System.err.println("HTTP Servlet waiting for a connection");
                                sok.getConnection();
				// TO DO handle requests independently
				// TO DO handling of persistent requests
				// TO DOhandling of chunking
				System.err.println("Got a connection");
                                sok.read(msg);
				if (sok.connected == false) continue;

				// TO DO parse the incoming commands
				if (((String) msg.elementAt(0)).indexOf("GET / HTTP/1") != -1)
					sok.write("./html/index.htm");
				else if (((String) msg.elementAt(0)).indexOf("GET /ThunderboltLogo.jpg HTTP/1") != -1)
					sok.write("./html/ThunderboltLogo.jpg");

				sok.close();

                        } catch (ThrowableString s) {
				System.err.println(s.getMessage());
                        }

			Enumeration e = msg.elements();
			while (e.hasMoreElements())
			{
				System.err.print((String) e.nextElement());
			}

		}
		System.err.println("Stopping HTTP Servlet");
	}
}

