//-----------------------------------------------------------
//
//	Softbolts Ltd. (c) all rights reserved
//
//	Warning: This  program is  protected by copyright law 
//		 and   international  treaties.  Unauthorised
//		 reproduction or distribution of this program,
//		 or  any portion  or it, may result in severe
//		 civil  and  criminal  penalties, and will be
//		 prosecuted to  the  maximum extent possible.
//
//              Author: A. E. Dawson, Aug 1999
//              mailto: anthony@softbolts.com
//
//		Last Revised: 27 Apr 2003
//
//-----------------------------------------------------------

package com.softbolts.lib;

import java.io.*;
import java.net.*;
import java.util.*;

//-----------------------------------------------------------
//      available protocols

public class ProtocolTyp implements Serializable {
    private final String name;
    private ProtocolTyp(String name) { this.name = name; }
    public String toString()  { return name; }

    public static final ProtocolTyp thunderbolt = new ProtocolTyp("thunderbolt");
    public static final ProtocolTyp xml = new ProtocolTyp("xml");
    public static final ProtocolTyp http = new ProtocolTyp("http");
}

