//-----------------------------------------------------------
//
//	Softbolts Ltd. (c) all rights reserved
//
//	Warning: This  program is  protected by copyright law 
//		 and   international  treaties.  Unauthorised
//		 reproduction or distribution of this program,
//		 or  any portion  or it, may result in severe
//		 civil  and  criminal  penalties, and will be
//		 prosecuted to  the  maximum extent possible.
//
//              Author: A. E. Dawson, Aug 1999
//              mailto: anthony@softbolts.com
//
//		Last Revised: 14 Oct 2002
//
//-----------------------------------------------------------

package com.softbolts.lib;

import java.io.*;
import java.net.*;
import java.util.*;

//-----------------------------------------------------------
//      equivelent enums

public class RunStatusTyp implements Serializable {
    private final String name;
    private RunStatusTyp(String name) { this.name = name; }
    public synchronized String toString()  { return name; }

    public static final RunStatusTyp running = new RunStatusTyp("running");
    public static final RunStatusTyp halted = new RunStatusTyp("halted");
}

