
//-----------------------------------------------------------
//
//	Softbolts Ltd. (c) all rights reserved
//
//	Warning: This  program is  protected by copyright law 
//		 and   international  treaties.  Unauthorised
//		 reproduction or distribution of this program,
//		 or  any portion  or it, may result in severe
//		 civil  and  criminal  penalties, and will be
//		 prosecuted to  the  maximum extent possible.
//
//              Author: A. E. Dawson, 13 Nov 2002
//              mailto: anthony@softbolts.com
//
//		Last Revised: 13 Nov 2002
//
//-----------------------------------------------------------


package com.softbolts.nodes.TBNode;

import com.softbolts.lib.*;
import java.io.*;
import java.net.*;
import java.util.*;
import java.lang.Throwable;

public class Servlet extends BaseServlet
{
 TBProcess tbp = null;

	public Servlet(String args[])
	{
		System.out.println("TBNode");

		tbp = new TBProcess(this);

		servletName = "TBNode";
		servletType = SvrTyp.node;
		servletState = RunStatusTyp.running;

		AddObject("TBProcess");
		AddMethod("TBProcess", "Get", tbp);
		AddMethod("TBProcess", "Set", tbp);
		AddMethod("TBProcess", "StartServlets", tbp);
	}

        //-----------------------------------------------------------
        public void service(NameValueTyp params) throws ThrowableString
        {
        }

	//-----------------------------------------------------------
	public void init(NameValueTyp params) throws ThrowableString
	{
		tbp.init(params);
	}

	//-----------------------------------------------------------
	public void finish(NameValueTyp params) throws ThrowableString
	{
	}

	//-----------------------------------------------------------
	public void beginTransaction(NameValueTyp params) throws ThrowableString
	{
	}

	//-----------------------------------------------------------
	public void commitTransaction(NameValueTyp params) throws ThrowableString
	{
	}

	//-----------------------------------------------------------
	public void rollBackTransaction(NameValueTyp params) throws ThrowableString
	{
	}
}

