
//-----------------------------------------------------------
//
//	Softbolts Ltd. (c) all rights reserved
//
//	Warning: This  program is  protected by copyright law 
//		 and   international  treaties.  Unauthorised
//		 reproduction or distribution of this program,
//		 or  any portion  or it, may result in severe
//		 civil  and  criminal  penalties, and will be
//		 prosecuted to  the  maximum extent possible.
//
//              Author: A. E. Dawson, 15 Oct 1999
//              mailto: anthony@softbolts.com
//
//		Last Revised: 15 Oct 2002
//
//-----------------------------------------------------------


package com.softbolts.connectors.TBPOP;

import com.softbolts.lib.*;
import java.io.*;
import java.net.*;
import java.util.*;
import java.lang.Throwable;

public class Servlet extends BaseServlet
{
	public Servlet(String args[])
	{
                System.out.println("TBPOP Connector Started...");

		POPObj po = new POPObj();

		servletName = "TBPOP";
		servletType = SvrTyp.connector;
		servletState = RunStatusTyp.running;

		AddConfigParam("Account Login", 20, "^[A-Za-z0-9_]*$", true);
		AddConfigParam("Account Password", 20, "^[A-Za-z0-9_]*$", false);

		AddField("POPObj", "Text");
		AddField("POPObj", "Attachements");

		AddMethod("POPObj", "Get", po);
		AddMethod("POPObj", "Set", po);
	}

        //-----------------------------------------------------------
        public void service(NameValueTyp params) throws ThrowableString
        {
        }

	//-----------------------------------------------------------
	public void init(NameValueTyp params) throws ThrowableString
	{
		System.out.println("init()");
		//throw new ThrowableString("ERR: init() - TBPOP - need to write some code here!");
	}

	//-----------------------------------------------------------
	public void finish(NameValueTyp params) throws ThrowableString
	{
		System.err.println("TBPOP.Servlet::finish()");
		System.out.println("TBPOP Connector Stopped...");
	}

	//-----------------------------------------------------------
	public void beginTransaction(NameValueTyp params) throws ThrowableString
	{
	}

	//-----------------------------------------------------------
	public void commitTransaction(NameValueTyp params) throws ThrowableString
	{
	}

	//-----------------------------------------------------------
	public void rollBackTransaction(NameValueTyp params) throws ThrowableString
	{
	}
}


