//-----------------------------------------------------------
//
//	Softbolts Ltd. (c) all rights reserved
//
//	Warning: This  program is  protected by copyright law 
//		 and   international  treaties.  Unauthorised
//		 reproduction or distribution of this program,
//		 or  any portion  or it, may result in severe
//		 civil  and  criminal  penalties, and will be
//		 prosecuted to  the  maximum extent possible.
//
//              Author: A. E. Dawson, Aug 1999
//              mailto: anthony@softbolts.com
//
//		Last Revised: 14 Oct 2002
//
//-----------------------------------------------------------

package com.softbolts.lib;

import java.io.*;
import java.net.*;
import java.util.*;

//-----------------------------------------------------------
public class SocketTyp {
    private final String name;
    private SocketTyp(String name) { this.name = name; }
    public String toString()  { return name; }

    public static final SocketTyp server = new SocketTyp("server");
    public static final SocketTyp client = new SocketTyp("client");
    public static final SocketTyp undefined = new SocketTyp("undefined");
    public final String getString() { return this.name; }
}


