//-----------------------------------------------------------
//
//      Softbolts Ltd. (c) all rights reserved
//
//      Warning: This  program is  protected by copyright law
//               and   international  treaties.  Unauthorised
//               reproduction or distribution of this program,
//               or  any portion  or it, may result in severe
//               civil  and  criminal  penalties, and will be
//               prosecuted to  the  maximum extent possible.
//
//              Author: A. E. Dawson, Aug 1999
//              mailto: anthony@softbolts.com
//      
//              Last Revised: 3 July 2002 
//
//-----------------------------------------------------------
         
package com.softbolts.nodes.TBNode;
        
import com.softbolts.lib.*;

import java.util.*;
import java.io.*;

class StreamSync extends Thread
{
 InputStream is;
 String type;

	StreamSync(InputStream is, String type)
	{
		this.is = is;
		this.type = type;
	}

	public void run()
	{
		try
		{
			InputStreamReader isr = new InputStreamReader(is);
			BufferedReader br = new BufferedReader(isr);
			String line=null;
			while ( (line = br.readLine()) != null)
			System.out.println(type + ">" + line);    
		} catch (IOException ioe) {
			ioe.printStackTrace();  
		}
	}
}

